import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[mpg["origin"] != "japan"]
plt.figure(figsize=(15, 5))
sat_list = [1, 0.75, 0.5, 0.25]
for i, s in enumerate(sat_list):
    plt.subplot(1, len(sat_list), i + 1)
    sns.boxplot(x="origin", y="mpg", saturation=s, data=mpg_mod)

plt.show()
